/* Simple Program To Set Your Terminal Translation
 *
 * Great if you want to view ANSI Images, etc...
 *
 * <mode>
 *            0  =  Graphic Translation
 *            B  =  Normal Translation
 *            U  =  No Translation (Good For ANSI, etc.)
 *            K  =  User Defined Translation
 *            1  =  Default Translation
 *
 * In linux these translations are configured in drivers/char/console.c
 *
 * You may distribute this source code freely.
 * Chris Haos <chris@ideal.ios.net> August 1994
 */

#include <stdio.h>

void main(int argc, char *argv[])
{
  if (argc!=2) {
    printf("usage: settrans <mode>\n");
    exit(0);
  }
  printf("\033(%c",argv[1][0]);
}
